Ra mắt hai series mới cực hot Trí tuệ nhân tạo A đến ZPython công cụ không thể thiếu khi nghiên cứu Data science, Machine learning.

Laravel 5.5 yêu cầu PHP phiên bản 7.0 trở lên

Laravel là một framework luôn cập nhật những công nghệ mới nhất, những tính năng giúp lập trình viên thuận tiện nhất. Chính vì vậy Taylor Otwell (nhà sáng lập Laravel) mới đây đã công bố trên Twitter rằng Laravel 5.5 sẽ yêu cầu máy chủ cài đặt PHP phiên bản 7.0 trở lên.

Taylor thông báo trên Twitter rằng Laravel 5.5 yêu cầu PHP phiên bản 7.0 trở lên

Hiện tại, Laravel 5.5 chưa có lịch trình ra mắt, Taylor cũng cho biết phải ngoài tháng 7 năm nay Laravel 5.5 mới có thể có một lịch trình chính xác. Các máy chủ web hiện nay chủ yếu chạy các phiên bản PHP 5.x (đặc biệt tập trung ở bản PHP 5.6 do bản này độ ổn định rất cao) cũng nên bắt đầu tìm hiểu và cập nhật lên PHP 7.x. Các nhà phát triển PHP đều có một nhận xét chung là PHP 7.0 trở lên giúp tối ưu hóa tăng tốc độ xử lý, điều này giúp cho chúng ta tiết kiệm được nhiều tiền hơn khi duy trì các trang web. Mạng xã hội Tumblr mới đây đã chuyển lên PHP 7 và công bố rằng:

Ngay sau khi triển khai PHP 7.0 chúng tôi thấy độ trễ (latency) giảm một nửa, tải trên CPU trên các máy chủ cũng giảm ít nhất 50%. Nó không chỉ làm cho các trang web hoạt động nhanh hơn gấp hai lần mà còn giảm lượng tài nguyên chiếm dụng trên máy chủ.

Biểu đồ độ trễ giám sát khi Tumblr nâng cấp lên phiên bản PHP 7

Biểu đồ tải CPU khi Tumblr nâng cấp lên PHP 7

Chúng ta có thể thấy qua hai biểu đồ latency và CPU load ở trên chụp lại trong quá trình giám sát của Tumblr khi nâng cấp lên PHP 7. Nếu như mã nguồn website của bạn chưa bắt đầu với quá trình chuyển đổi lên PHP 7.x, hãy tham khảo các tài liệu chính thức của PHP cung cấp đầy đủ những việc cần kiểm tra trước khi nâng cấp. Riêng với Laravel 5.x việc nâng cấp lên PHP phiên bản 7.0 trở lên không có gì khó khăn vì hiện tại các phiên bản này của Laravel đã hỗ trợ PHP 7.x.


CÁC BÀI VIẾT KHÁC

FirebirD

Đam mê Toán học, Lập trình. Sở thích chia sẻ kiến thức, Phim hài, Bóng đá, Cà phê sáng với bạn bè.

HTTP Request trong Laravel

Laravel Cookie lưu trữ thông tin duyệt web

0 Bình luận trong "Laravel 5.5 yêu cầu PHP phiên bản 7.0 trở lên"

Thêm bình luận